{
    // 对所有文件生效
    "editor.tabSize": 2,
    // 仅对TS文件生效（优先级更高）
    "[typescript]": {
      "editor.tabSize": 2
    },
    "[java]":{
      "editor.tabSize": 4
    },
    "[python]":{
      "editor.tabSize": 4
    },
    "maven.view": "hierarchical",
    "java.compile.nullAnalysis.mode": "automatic",
    // 终端编码设置
    "terminal.integrated.encoding": "utf8",
    "terminal.integrated.defaultProfile.windows": "Command Prompt",
    "terminal.integrated.profiles.windows": {
      "PowerShell": {
        "source": "PowerShell",
        "args": ["-NoExit", "-Command", "chcp 65001"]
      },
      "Command Prompt": {
        "path": "cmd.exe",
        "args": ["/k", "chcp 65001"]
      }
    },
    "java.debug.settings.onBuildFailureProceed": true,
    "python-envs.pythonProjects": [
      {
        "path": "schoolNewsCrawler",
        "envManager": "ms-python.python:venv",
        "packageManager": "ms-python.python:pip"
      }
    ]
}